Bug 668438 - Error shutting down domain: Timed out during operation: cannot acquire state change lock
Error shutting down domain: Timed out during operation: cannot acquire state ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
15
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-10 09:26 EST by Andreas Schwab
Modified: 2012-06-06 20:10 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 20:10:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Schwab 2011-01-10 09:26:00 EST
libvirt-0.8.3-2.fc14

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 832, in destroy_domain
    vm.destroy()
  File "/usr/share/virt-manager/virtManager/domain.py", line 1355, in destroy
    self._backend.destroy()
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 349, in destroy
    if ret == -1: raise libvirtError ('virDomainDestroy() failed', dom=self)
libvirtError: Timed out during operation: cannot acquire state change lock
Comment 1 S P Arif Sahari Wibowo 2011-01-17 13:22:38 EST
Using command line gave similar error:

# virsh destroy myvm
error: Failed to destroy domain myvm
error: Timed out during operation: cannot acquire state change lock


libvirt-0.8.3-2.fc14.x86_64
Comment 2 Andreas Schwab 2011-02-15 06:05:11 EST
Error starting domain: Timed out during operation: cannot acquire state change lock

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 878, in run_domain
    vm.startup()
  File "/usr/share/virt-manager/virtManager/domain.py", line 1321, in startup
    self._backend.create()
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 333, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: Timed out during operation: cannot acquire state change lock
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:58:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-09-22 14:02:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Jeff Layton 2011-10-10 11:21:21 EDT
Resetting this to f15 and setting to high/high sev/pri. I'm still getting this on f15 as well, even though from what I've read on random internet posts says that this was supposedly fixed upstream a year ago:

$ sudo virsh -d5 destroy rawhide
destroy: domain(optdata): rawhide
destroy: found option <domain>: rawhide
destroy: <domain> trying as domain NAME
error: Failed to destroy domain rawhide
error: Timed out during operation: cannot acquire state change lock

The domain in question here hung while rebooting for some reason, but I can't destroy it. I'm running a relatively recent version of libvirt:

$ rpm -q libvirt
libvirt-0.8.8-7.fc15.x86_64
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:04:18 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:04:31 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-11-30 15:08:36 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-11-30 15:08:40 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Charlie Brady 2012-03-12 11:14:22 EDT
I'm seeing a similar problem when running "telinit 6" in a CentOS6 guest running in F15 x86_64.

[Has this component really just had six different owners, none of whom have any troubrleshooting contributions to make?]

Error shutting down domain: Timed out during operation: cannot acquire state change lock

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 45, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 66, in tmpcb
    callback(*args, **kwargs)
  File "/usr/share/virt-manager/virtManager/domain.py", line 1158, in destroy
    self._backend.destroy()
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 346, in destroy
    if ret == -1: raise libvirtError ('virDomainDestroy() failed', dom=self)
libvirtError: Timed out during operation: cannot acquire state change lock

[charlieb@localhost WIP]$ rpm -q libvirt
libvirt-0.8.8-7.fc15.x86_64
[charlieb@localhost WIP]$ uname -a
Linux localhost.localdomain 2.6.42.3-2.fc15.x86_64 #1 SMP Thu Feb 9 01:42:06 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
[charlieb@localhost WIP]$
Comment 11 Charlie Brady 2012-03-12 11:44:34 EDT
Bug 676205 refers to many fixes to RHEL6.2. Which of those, if any, have been backported to Fedora15? Can libvirt 9.0 be used with F15?
Comment 13 Cole Robinson 2012-06-06 20:10:07 EDT
Sorry for the general lack of response, but since F15 is very close to EOL, closing this as WONTFIX. If anyone can still reliably reproduce this issue on F16 or higher, please reopen.

Note You need to log in before you can comment on or make changes to this bug.